# OpenML dataset: anneal

https://www.openml.org/d/2

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.csv`](./dataset/tables/data.csv): CSV file with data
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

**Author**: Unknown. Donated by David Sterling and Wray Buntine  

**Source**: [UCI](https://archive.ics.uci.edu/ml/datasets/Annealing) - 1990  

**Please cite**: [UCI](https://archive.ics.uci.edu/ml/citation_policy.html)  



The original Annealing dataset from UCI. The exact meaning of the features and classes is largely unknown. Annealing, in metallurgy and materials science, is a heat treatment that alters the physical and sometimes chemical properties of a material to increase its ductility and reduce its hardness, making it more workable. It involves heating a material to above its recrystallization temperature, maintaining a suitable temperature, and then cooling. (Wikipedia)



### Attribute Information:

     1. family:          --,GB,GK,GS,TN,ZA,ZF,ZH,ZM,ZS

     2. product-type:    C, H, G

     3. steel:           -,R,A,U,K,M,S,W,V

     4. carbon:          continuous

     5. hardness:        continuous

     6. temper_rolling:  -,T

     7. condition:       -,S,A,X

     8. formability:     -,1,2,3,4,5

     9. strength:        continuous

    10. non-ageing:      -,N

    11. surface-finish:  P,M,-

    12. surface-quality: -,D,E,F,G

    13. enamelability:   -,1,2,3,4,5

    14. bc:              Y,-

    15. bf:              Y,-

    16. bt:              Y,-

    17. bw/me:           B,M,-

    18. bl:              Y,-

    19. m:               Y,-

    20. chrom:           C,-

    21. phos:            P,-

    22. cbond:           Y,-

    23. marvi:           Y,-

    24. exptl:           Y,-

    25. ferro:           Y,-

    26. corr:            Y,-

    27. blue/bright/varn/clean:          B,R,V,C,-

    28. lustre:          Y,-

    29. jurofm:          Y,-

    30. s:               Y,-

    31. p:               Y,-

    32. shape:           COIL, SHEET

    33. thick:           continuous

    34. width:           continuous

    35. len:             continuous

    36. oil:             -,Y,N

    37. bore:            0000,0500,0600,0760

    38. packing: -,1,2,3

    classes:        1,2,3,4,5,U

  

    -- The '-' values are actually 'not_applicable' values rather than

       'missing_values' (and so can be treated as legal discrete

       values rather than as showing the absence of a discrete value).

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/2) of an [OpenML dataset](https://www.openml.org/d/2). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/2/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/2/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/2/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

